package org.example.listadoedificios;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class Adapter extends ArrayAdapter<Object> {

	// Array de datos que se mostraran en lista
	private static Tool[] datos = new Tool[] {
			new Tool("EASMU", "Edificio Administrativo de Servicios Múltiples",
					R.drawable.easmu, "43.359275", "-5.855841",
					"C/Coronel Aranda, 2 33005-Oviedo", "12500 m2",
					"envolvente térmica 1", "340 PCs", "340 tomas datos",
					"340 tomas A/C"),
			new Tool("Sede Calatrava",
					"Consejerías de Presidencia, Turismo, Sanidad",
					R.drawable.calatrava, "43.358454", "-5.860937",
					"C/Antiguo Tartiere, 32 33005-Oviedo", "37500 m2",
					"envolvente térmica 2", "740 PCs", "220 tomas datos",
					"450 tomas A/C"),
			new Tool("EASMIN", "Edificio Administrativo II", R.drawable.easmin,
					"43.357565", "-5.857530",
					"C/Hermanos Pidal, 12 33005-Oviedo", "22500 m2",
					"envolvente térmica 3", "440 PCs", "54 tomas datos",
					"224 tomas A/C"),
			new Tool("Biblioteca de Asturias",
					"Edificio de la Biblioteca de Asturias",
					R.drawable.biblioteca, "43.359514", "-5.846410",
					"Plza. el Fontán, 21 33005-Oviedo", 
					"43000 m2", "envolvente térmica 4", "1340 PCs",
					"345 tomas datos", "500 tomas A/C") };

	// Constructor de la clase Adaptador
	Activity context;

	Adapter(Activity context) {
		super(context, R.layout.listitem, datos);
		this.context = context;
	}

	// Método para asignar cada elemento del listitem a los datos

	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = context.getLayoutInflater();
		View item = inflater.inflate(R.layout.listitem, null);

		TextView lblTitulo = (TextView) item.findViewById(R.id.LblTitulo);
		lblTitulo.setText(datos[position].getTitulo());

		TextView lblSubTitulo = (TextView) item.findViewById(R.id.LblSubTitulo);
		lblSubTitulo.setText(datos[position].getSubtitulo());

		ImageView lblImagen = (ImageView) item.findViewById(R.id.LblImagen);
		lblImagen.setImageResource(datos[position].getImagen());

		TextView lblLatitud = (TextView) item.findViewById(R.id.LblLatitud);
		lblLatitud.setText(datos[position].getLatitud());

		TextView lblLongitud = (TextView) item.findViewById(R.id.LblLongitud);
		lblLongitud.setText(datos[position].getLongitud());

		TextView LblDireccion = (TextView) item.findViewById(R.id.LblDireccion);
		LblDireccion.setText(datos[position].getDireccion());

		TextView LblEnvolvente = (TextView) item
				.findViewById(R.id.LblEnvolvente);
		LblEnvolvente.setText(datos[position].getEnvolvente());

		TextView LblEquipostic = (TextView) item
				.findViewById(R.id.LblEquipostic);
		LblEquipostic.setText(datos[position].getEquipostic());

		TextView LblTomasdatos = (TextView) item
				.findViewById(R.id.LblTomasdatos);
		LblTomasdatos.setText(datos[position].getTomasdatos());

		TextView LblTomascorriente = (TextView) item
				.findViewById(R.id.LblTomascorriente);
		LblTomascorriente.setText(datos[position].getTomascorriente());

		return (item);

	}

}
